[X2Go-Commits] [buildscripts] 01/05: bin/sbuild-deb-package: create local branches for upstream/* branches and make sure that (most) branches we fetch are actually deleted before a fetch operation.

git-admin at x2go.org git-admin at x2go.org
Fri Aug 17 15:51:43 CEST 2018


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit bf5aa28fea1f18a46556e06999f4b3585d562800
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Fri Aug 17 15:44:30 2018 +0200

    bin/sbuild-deb-package: create local branches for upstream/* branches and make sure that (most) branches we fetch are actually deleted before a fetch operation.
---
 bin/sbuild-deb-package | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/bin/sbuild-deb-package b/bin/sbuild-deb-package
index 60df9fe..a96ddc5 100755
--- a/bin/sbuild-deb-package
+++ b/bin/sbuild-deb-package
@@ -177,8 +177,11 @@ prepare_workspace() {
 			git checkout --force "${CHECKOUT}" || git checkout --force -b "${CHECKOUT}"
 			git fetch origin "${CHECKOUT}"
 			git reset --hard "origin/${CHECKOUT}"
+			git branch -D 'upstream' || true
 			git fetch origin 'upstream:upstream' || true
-			git fetch origin 'upstream/*:upstream/*' || true
+			git branch -D "$(git for-each-ref --format='%(refname:short)' 'refs/heads/upstream/*')"
+			git fetch origin 'refs/heads/upstream/*:refs/heads/upstream/*' || true
+			git branch -D 'pristine-tar'
 			git fetch origin 'pristine-tar:pristine-tar' || true
 			# and again, get the ${CHECKOUT} refspec in pure state
 			git reset --hard
@@ -193,8 +196,11 @@ prepare_workspace() {
 			cd "${PROJECT}"
 			git fetch origin "${CHECKOUT}"
 			git checkout --force "${CHECKOUT}" || git checkout --force -b "${CHECKOUT}"
+			git branch -D 'upstream' || true
 			git fetch origin 'upstream:upstream' || true
-			git fetch origin 'upstream/*:upstream/*' || true
+			git branch -D "$(git for-each-ref --format='%(refname:short)' 'refs/heads/upstream/*')"
+			git fetch origin 'refs/heads/upstream/*:refs/heads/upstream/*' || true
+			git branch -D 'pristine-tar'
 			git fetch origin 'pristine-tar:pristine-tar' || true
 			git clean -df
 		} || {
@@ -347,7 +353,7 @@ build_packages() {
 
 					# Before actually running git archive, we'd better fetch the branch first, in case it's new.
 					# Failures to do so are fatal now.
-					git fetch origin "upstream/${UPSTREAM_VERSION}:upstream/${UPSTREAM_VERSION}"
+					git fetch origin "refs/heads/upstream/${UPSTREAM_VERSION}:refs/heads/upstream/${UPSTREAM_VERSION}"
 
 					git archive --prefix="${PROJECT}-${UPSTREAM_VERSION}/" -o "../${PROJECT}_${UPSTREAM_VERSION}.orig.tar.gz" "upstream/${UPSTREAM_VERSION}" && {
 						SA_OPTION="--debbuildopts=-sa"

--
Alioth's /home/x2go-admin/maintenancescripts/git/hooks/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list